<?xml version="1.0" encoding="UTF-8"?>
<!--
 * This file is released under the 3-clause BSD license. See COPYING-BSD.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:scilab="http://www.scilab.org" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns3="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="tango_timeout" xml:lang="en">
    <refnamediv>
        <refname>tango_timeout</refname>
        <refpurpose>Help to get and set the client side timeout</refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>Calling Sequence : Setter</title>
        <synopsis>[int tango error] = tango_set_timeout(string device_address, double client_timeout)</synopsis>
    </refsynopsisdiv>
    <refsynopsisdiv>
        <title>Calling Sequence : Getter</title>
        <synopsis>[double, client_timeoutint tango error] = tango_get_timeout(string device_address)</synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>Functions</title>
        <variablelist>
            <varlistentry>
                <term>tango_set_timeout()</term>
                <listitem>
			
                    <para>This function is able to set the client side timeout in milliseconds</para> 
			<para>Two inputs arguments are needed :</para>
			  <para>  - the address of the device server as a string. i.e. : “my/device/server”</para> 
			  <para>  - the client timeout you want to set as a single double</para>
			  <para>It returns the tango_error</para>
		 <para></para>
		 <para></para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>tango_get_timeout()</term>
                <listitem>
                   
		    <para>This function is able to get the client side timeout in milliseconds</para> 
		    <para>One input argument is needed</para>	
		    <para>  - the address of the device server as a string. i.e. : “my/device/server”</para>
		    <para>There are two outputs :</para>
		    <para>  - the client timeout already set (the default value is 3000ms)</para>
		    <para>  - the tango_error value.</para>		
		    <para></para>
		    <para></para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>Error and Exception handling</term>
                <listitem>
			 <para></para>
                    <para>You could met some errors or excpetions by using this function, You can meet two kinds of errors, Scilab's errors and Tango's errors.</para>
		    <para>Tango's errors are fully describe with the reason, the severity, the origin, the description, you could so easily fix your problem. </para>
		    <para>They are caused by a Tango error like : Database not online, Device  not exported or not present in the Database … the error code is 2XXX</para>
		    <para>Scilab's errors are generate by a mistakes in your syntax : a missing parenthesis, a wrong type of input argument</para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>Examples</title>
	<para>First example to show how the getter works with the TangoTest device</para>
        <programlisting role="example">tango_get_timeout("sys/tg_test/1")</programlisting>
	<para>Second example to show how the setter works</para>
        <programlisting role="example">tango_set_timeout("sys/tg_test/1", 5000)</programlisting>
    </refsection>
</refentry>
